rem !!!!!!! If a level is specified, delete all the trigger/tmp files
if not "%1" == "" del %TEMP%\AiO*.tmp

rem !!!!!!! If a level is specified, goto the appropriate level
if "%1" == "1" goto LEVEL1
if "%1" == "2" goto LEVEL2
if "%1" == "3" goto LEVEL3
if "%1" == "4" goto LEVEL4

if EXIST %TEMP%\AiO1.tmp goto LEVEL2
rem !!!!!!!!!!!!!!!! BEGIN 1st Level
:LEVEL1
echo "***** Executing Level 1 *****"
copy uninstall.bat %TEMP%\AiO1.tmp

start /w CCC_Uninstaller.exe Uninstall_L1 /datfile uninstall.dat

goto EXIT
rem !!!!!!!!!!!!!!!! END 1st Level


rem !!!!!!!!!!!!!!!! BEGIN 2nd Level
:LEVEL2
if EXIST %TEMP%\AiO2.tmp goto LEVEL3
copy uninstall.bat %TEMP%\AiO2.tmp
echo "***** Executing Level 2 *****"
start /w CCC_Uninstaller.exe Uninstall_L2 /datfile uninstall.dat

goto EXIT
rem !!!!!!!!!!!!!!!! END 2nd Level


rem !!!!!!!!!!!!!!!! BEGIN 3rd Level
:LEVEL3
if EXIST %TEMP%\AiO3.tmp goto LEVEL4
copy uninstall.bat %TEMP%\AiO3.tmp
echo "***** Executing Level 3 *****"

start /w CCC_Uninstaller.exe Uninstall_L3 /datfile uninstall.dat

goto EXIT
rem !!!!!!!!!!!!!!!! END 3rd Level

	
rem !!!!!!!!!!!!!!!! BEGIN 4th Level
:LEVEL4
echo "***** Executing Level 4 *****"

start /w CCC_Uninstaller.exe Uninstall_L4 /datfile uninstall.dat

goto EXIT
rem !!!!!!!!!!!!!!!! END 4th Level
